[Numpy-discussion] Testing: Failed examples don't raise errors on buildbot.

Gael Varoquaux gael.varoquaux@normalesup....
Sun Jul 20 22:17:52 CDT 2008


On Sun, Jul 20, 2008 at 11:09:04PM -0400, Alan McIntyre wrote:
> Actually I was considering asking to move the minimum nose version up
> to 0.10.3 just because it's the current version before this aesthetic
> issue came up.  There's about 30 bug fixes between 0.10.0 and 0.10.3,
> including one that fixed some situations in which exceptions were
> being hidden and one that makes the coverage reporting more accurate.
> It's not a big deal, though.

There might be a case to move to 10.3, considering the large amount of
bug fixes, but in general I think it is a bad idea to require leading
edge packages. The reason being that you would like people to be able to
rely on packaged version of the different tools to build an test a
package. By packaged versions, I mean versions in the repositories of the
main linux distributions, and macport and fink. Each time we require
something outside a repository, we loose testers.

Gaël


More information about the Numpy-discussion mailing list